module CSafetyValveEnum
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_SafetyValve()
        implicit none
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_SafetyValve=TopDrive'
!#endif
!        endif
!        
!        
!        
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_SafetyValve=Kelly'
!#endif
!        endif
        
    end subroutine
    
    subroutine Subscribe_SafetyValve()
        implicit none
    end subroutine
    
end module CSafetyValveEnum